package com.bocloud.cmp.model.hmc;

public class HmdVirtualFabricAdapterWwpnModel extends HmdGenericModel {
    private String wwpn; // wwpn
    private String status; // 端口状态
    private String login; // 登录状态
    private String reason; // 原因
    private HmdVirtualFabricAdapterModel fabricAdapter; // 所属虚拟光纤适配器

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public HmdVirtualFabricAdapterModel getFabricAdapter() {
        return fabricAdapter;
    }

    public void setFabricAdapter(HmdVirtualFabricAdapterModel fabricAdapter) {
        this.fabricAdapter = fabricAdapter;
    }
}
